Name:    libdfx
Version: 2024.2.0
Release: 1%{?dist}
Summary: A lightweight user-space library that provides APIs to configure the PL
License: MIT
URL:     https://github.com/Xilinx/libdfx
Source:  %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-g++

%description
The library is a lightweight user-space library that provides
APIs for application to configure the PL (programable logic).

%package devel
Summary: Development files for using PL (programable logic)
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package contains the header and static library files for
development applications using PL (programable logic).


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%doc README.md
%{_libdir}/libdfx.so.*

%files devel
%{_includedir}/libdfx.h
%{_libdir}/libdfx.so
%{_libdir}/libdfx.a


%changelog
* Sun May 18 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 2024.2.0-1
- Initial package
